#ifndef RpFillConstant_CLASS
#define RpFillConstant_CLASS

#include <RpFillStrategy.h>

// ************************************************************************
// CLASS: RpFillConstant
// DESC:
//    Fills out-of-domain area in a RpSampledImage with a constant
//    color.
//    
class RpFillConstant : public RpFillStrategy {
   public:
      RpFillConstant( float rBrightness );
      ~RpFillConstant( void ) { }
      
      int
      fillTile( RpSampledImage *pHost, RpImageTile *pWriteHere );
      
   protected:
   
#define RpTYPEMACRO( typename, type, low, high, black, white, prec, func ) \
type typename##brightness
#include <RpType.m>   

      int
      fillConstant( RpImageTile *pTile, const RpImageArea& area );
      
};

#endif

